if (CSS.registerProperty) {
  /* Neutral Base 100 - if used as a background, please use Neutral Base 60-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-100",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Neutral Base 95 - if used as a background, please use Neutral Base 50-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#f3f3f3",
  });
  /* Neutral Base 90 - if used as a background, please use Neutral Base 40-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#e5e5e5",
  });
  /* Neutral Base 80 - if used as a background, please use Neutral Base 30-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#c9c9c9",
  });
  /* Neutral Base 70 - if used as a background, please use Neutral Base 20-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#aeaeae",
  });
  /* Neutral Base 65 - if used as a background, please use Neutral Base 15-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#a0a0a0",
  });
  /* Neutral Base 60 - if used as a background, please use Neutral Base 100 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#939393",
  });
  /* Neutral Base 50 - if used as a background, please use Neutral Base 100-95 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#747474",
  });
  /* Neutral Base 40 - if used as a background, please use Neutral Base 100-90 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#5c5c5c",
  });
  /* Neutral Base 30 - if used as a background, please use Neutral Base 100-80 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#444444",
  });
  /* Neutral Base 20 - if used as a background, please use Neutral Base 100-70 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#2e2e2e",
  });
  /* Neutral Base 15 - if used as a background, please use Neutral Base 100-65 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#242424",
  });
  /* Neutral Base 10 - if used as a background, please use Neutral Base 100-65 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#181818",
  });
  /* Brand Base 100 - if used as a background, please use Brand Base 60-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-100",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Brand Base 95 - if used as a background, please use Brand Base 50-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#eef4ff",
  });
  /* Brand Base 90 - if used as a background, please use Brand Base 40-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#d8e6fe",
  });
  /* Brand Base 80 - if used as a background, please use Brand Base 30-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#aacbff",
  });
  /* Brand Base 70 - if used as a background, please use Brand Base 20-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#78b0fd",
  });
  /* Brand Base 65 - if used as a background, please use Brand Base 15-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#57a3fd",
  });
  /* Brand Base 60 - if used as a background, please use Brand Base 100 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#1b96ff",
  });
  /* Brand Base 50 - if used as a background, please use Brand Base 100-95 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0176d3",
  });
  /* Brand Base 40 - if used as a background, please use Brand Base 100-90 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0b5cab",
  });
  /* Brand Base 30 - if used as a background, please use Brand Base 100-80 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#014486",
  });
  /* Brand Base 20 - if used as a background, please use Brand Base 100-70 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#032d60",
  });
  /* Brand Base 15 - if used as a background, please use Brand Base 100-65 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#03234d",
  });
  /* Brand Base 10 - if used as a background, please use Brand Base 100-65 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#001639",
  });
  /* Error Base 100 - if used as a background, please use Error Base 60-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-100",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Error Base 90 - if used as a background, please use Error Base 50-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#feded8",
  });
  /* Error Base 80 - if used as a background, please use Error Base 40-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#feb8ab",
  });
  /* Error Base 70 - if used as a background, please use Error Base 30-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fe8f7d",
  });
  /* Error Base 60 - if used as a background, please use Error Base 20-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fe5c4c",
  });
  /* Error Base 50 - if used as a background, please use Error Base 100-90 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ea001e",
  });
  /* Error Base 40 - if used as a background, please use Error Base 100-80 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ba0517",
  });
  /* Error Base 30 - if used as a background, please use Error Base 100-70 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#8e030f",
  });
  /* Error Base 20 - if used as a background, please use Error Base 100-60 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#640103",
  });
  /* Error Base 10 - if used as a background, please use Error Base 100-50 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#300c01",
  });
  /* Warning Base 100 - if used as a background, please use Warning Base 60-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-100",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Warning Base 90 - if used as a background, please use Warning Base 50-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fedfd0",
  });
  /* Warning Base 80 - if used as a background, please use Warning Base 40-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffba90",
  });
  /* Warning Base 70 - if used as a background, please use Warning Base 30-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fe9339",
  });
  /* Warning Base 60 - if used as a background, please use Warning Base 20-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#dd7a01",
  });
  /* Warning Base 50 - if used as a background, please use Warning Base 100-90 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#a96404",
  });
  /* Warning Base 40 - if used as a background, please use Warning Base 100-80 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#825101",
  });
  /* Warning Base 30 - if used as a background, please use Warning Base 100-70 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#5f3e02",
  });
  /* Warning Base 20 - if used as a background, please use Warning Base 100-60 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#3e2b02",
  });
  /* Warning Base 10 - if used as a background, please use Warning Base 100-50 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#201600",
  });
  /* Success Base 100 - if used as a background, please use Success Base 60-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-100",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Success Base 90 - if used as a background, please use Success Base 50-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#cdefc4",
  });
  /* Success Base 80 - if used as a background, please use Success Base 40-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#91db8b",
  });
  /* Success Base 70 - if used as a background, please use Success Base 30-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#45c65a",
  });
  /* Success Base 60 - if used as a background, please use Success Base 20-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#3ba755",
  });
  /* Success Base 50 - if used as a background, please use Success Base 100-90 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#2e844a",
  });
  /* Success Base 40 - if used as a background, please use Success Base 100-80 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#22683e",
  });
  /* Success Base 30 - if used as a background, please use Success Base 100-70 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#194e31",
  });
  /* Success Base 20 - if used as a background, please use Success Base 100-60 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0e3522",
  });
  /* Success Base 10 - if used as a background, please use Success Base 100-50 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#071b12",
  });
  /* Nuetral border color for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-color-border-base-1",
    syntax: "<color>",
    inherits: false,
    initialValue: "#c9c9c9",
  });
  /* Neutral border color for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-color-border-base-2",
    syntax: "<color>",
    inherits: false,
    initialValue: "#aeaeae",
  });
  /* Neutral border color for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-color-border-base-3",
    syntax: "<color>",
    inherits: false,
    initialValue: "#939393",
  });
  /* Neutral border color for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-color-border-base-4",
    syntax: "<color>",
    inherits: false,
    initialValue: "#747474",
  });
  /* Brand border color for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-color-border-brand-1",
    syntax: "<color>",
    inherits: false,
    initialValue: "#78b0fd",
  });
  /* Alternate brand border color for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-color-border-brand-2",
    syntax: "<color>",
    inherits: false,
    initialValue: "#1b96ff",
  });
  /* Default color for hyperlinks. */
  CSS.registerProperty({
    name: "--sds-g-link-color",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0b5cab",
  });
  /* Default color on hover for hyperlinks. */
  CSS.registerProperty({
    name: "--sds-g-link-color-hover",
    syntax: "<color>",
    inherits: true,
    initialValue: "#014486",
  });
  /* Default color on focus for hyperlinks. */
  CSS.registerProperty({
    name: "--sds-g-link-color-focus",
    syntax: "<color>",
    inherits: true,
    initialValue: "#014486",
  });
  /* Default color on active for hyperlinks. */
  CSS.registerProperty({
    name: "--sds-g-link-color-active",
    syntax: "<color>",
    inherits: true,
    initialValue: "#032d60",
  });
}
