export const generateColorRows = (colors) => {
  const props = colors.props;
  const list = document.createElement('div');
  list.setAttribute('role', 'rowgroup');
  const map = new Map(Object.entries(props));

  map.forEach((value, key, map) => {
    const scope = value.scope === 'global' ? 'g' : 's';
    const name = `--sds-${scope}-${value.name}`;
    list.insertAdjacentHTML(
      'beforeend',
      `
      <div role="row">
        <color-grid-row value=${value.value} prop="${name}" cssProperty=${
        value.cssProperties
      } group="${capitalize(value.group)}" title="${value.comment}"></color-grid-row>
      </div>
      `,
    );
  });
  return list.outerHTML;
};

const capitalize = (str) => {
  if (typeof str === 'string') {
    return str.replace(/\b\w/g, (c) => c.toUpperCase());
  } else {
    return '';
  }
};
